package com.configuracion.dao;

import java.sql.SQLException;
import com.configuracion.conexion.Constantes;
import com.configuracion.conexion.GestorBD;
import com.configuracion.interfaces.IDevolucionesDao;

public class DevolucionesDao extends GestorBD implements IDevolucionesDao {
	
	public int saldoDevoluciones(String comercial) throws SQLException {
		int respuesta = 0;
		try {
            bd.conectar(Constantes.usuarioAmbulatoria, Constantes.passwordAmbulatoria, Constantes.bdAmbulatoria);
            sql = "SELECT COALESCE(SUM(saldo),0) AS saldoDevoluciones " +
            	  "FROM tbl_saldos_consignacion " +
            	  "WHERE fk_cod_med_comercial = '"+comercial+"' AND fecha_vence_medica > CURRENT_DATE";
            resultSet = bd.ejecutar(sql);
            if (resultSet.next())
            	respuesta = resultSet.getInt(1);
		} catch (Exception e) {
            e.printStackTrace();
        } finally {
            bd.desconectar();
        }
        System.out.println("===>Saldo Devoluciones: "+respuesta);
        return respuesta;
	}
	
}