package com.configuracion.eventos;

import java.util.HashMap;
import org.jbpm.api.jpdl.DecisionHandler;
import org.jbpm.api.model.OpenExecution;

public class DecisionSaldoCaf implements DecisionHandler {

	private static final long serialVersionUID = 1L;

	public String decide(OpenExecution execution) {
		HashMap<String, Object> resultado = (HashMap<String, Object>) execution.getVariable("saldoCaf");
		int cantidadRegistros = Integer.parseInt(resultado.get("cantidadRegistros").toString());
		if(cantidadRegistros>0){
			//Crear las variables del Caf que traslada
			execution.createVariable("cafDespacho", resultado.get("caf_0"));
			execution.createVariable("saldoCafDespacho", resultado.get("saldo_0"));
	    	return "con saldo en caf";
		}
	    else
	    	return "sin saldo en caf";
	}
	
}